ulams public
Generated from front/cli (ulams schema)
ulams public auth-email-resend
Section titled “ulams public auth-email-resend”Resend email verification.
Kind: write. Stability: stable. MCP tool: public_auth_email_resend. Scopes: none.
Endpoints: POST /api/auth/email/resend.
| Flag | Type | Required | Description |
|---|---|---|---|
--email |
string | ||
--return-url |
string |
# Resend email verificationulams public auth-email-resend --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "email": { "type": "string" }, "return_url": { "type": "string" } }, "additionalProperties": {}}ulams public auth-impersonate
Section titled “ulams public auth-impersonate”User impersonate.
Kind: write. Stability: stable. MCP tool: public_auth_impersonate. Scopes: none.
Endpoints: POST /api/auth/impersonate.
| Flag | Type | Required | Description |
|---|---|---|---|
--user-id |
integer | yes | |
--body |
unknown | Request body (JSON) |
# User impersonateulams public auth-impersonate --user-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "user_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "user_id" ], "additionalProperties": {}}ulams public auth-password-forgot
Section titled “ulams public auth-password-forgot”Password forget call.
Kind: write. Stability: stable. MCP tool: public_auth_password_forgot. Scopes: none.
Endpoints: POST /api/auth/password/forgot.
| Flag | Type | Required | Description |
|---|---|---|---|
--email |
string | ||
--return-url |
string |
# Password forget callulams public auth-password-forgot --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "email": { "type": "string" }, "return_url": { "type": "string" } }, "additionalProperties": {}}ulams public auth-password-reset
Section titled “ulams public auth-password-reset”Password reset.
Kind: write. Stability: stable. MCP tool: public_auth_password_reset. Scopes: none.
Endpoints: POST /api/auth/password/reset.
| Flag | Type | Required | Description |
|---|---|---|---|
--email |
string | ||
--password |
string | ||
--token |
string |
# Password resetulams public auth-password-reset --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "email": { "type": "string" }, "password": { "type": "string" }, "token": { "type": "string" } }, "additionalProperties": {}}ulams public auth-register
Section titled “ulams public auth-register”Register new user.
Kind: write. Stability: stable. MCP tool: public_auth_register. Scopes: none.
Endpoints: POST /api/auth/register.
| Flag | Type | Required | Description |
|---|---|---|---|
--first-name |
string | yes | |
--last-name |
string | yes | |
--email |
string | yes | |
--password |
string | yes | |
--password-confirmation |
string | yes | |
--return-url |
string | yes | |
--body |
unknown | Request body (JSON) |
# Register new userulams public auth-register --first-name text --last-name text --email user@example.com --password text --password-confirmation text --return-url text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "first_name": { "type": "string" }, "last_name": { "type": "string" }, "email": { "type": "string" }, "password": { "type": "string" }, "password_confirmation": { "type": "string" }, "return_url": { "type": "string" }, "body": { "description": "Request body (JSON)" } }, "required": [ "first_name", "last_name", "email", "password", "password_confirmation", "return_url" ], "additionalProperties": {}}ulams public auth-registerable-groups
Section titled “ulams public auth-registerable-groups”List registerable groups.
Kind: read (idempotent). Stability: stable. MCP tool: public_auth_registerable_groups. Scopes: none.
Endpoints: GET /api/auth/registerable-groups/.
# List registerable groupsulams public auth-registerable-groups --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public categories-list
Section titled “ulams public categories-list”Get Categories.
Kind: read (idempotent). Stability: stable. MCP tool: public_categories_list. Scopes: none.
Endpoints: GET /api/categories.
# Get Categoriesulams public categories-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public categories-tree
Section titled “ulams public categories-tree”Get Categories Tree.
Kind: read (idempotent). Stability: stable. MCP tool: public_categories_tree. Scopes: none.
Endpoints: GET /api/categories/tree.
# Get Categories Treeulams public categories-tree --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public config-list
Section titled “ulams public config-list”Get a listing of public config values.
Kind: read (idempotent). Stability: stable. MCP tool: public_config_list. Scopes: none.
Endpoints: GET /api/config.
# Get a listing of public config valuesulams public config-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public consultations-get
Section titled “ulams public consultations-get”Display the specified Consultation.
Kind: read (idempotent). Stability: stable. MCP tool: public_consultations_get. Scopes: none.
Endpoints: GET /api/consultations/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Consultation |
# Display the specified Consultationulams public consultations-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Consultation" } }, "required": [ "id" ], "additionalProperties": {}}ulams public consultations-list
Section titled “ulams public consultations-list”Get a listing of the Consultations.
Kind: read (idempotent). Stability: stable. MCP tool: public_consultations_list. Scopes: none.
Endpoints: GET /api/consultations.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--only-with-categories |
boolean | Consultation has categories | |
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--name |
string | Consultation name %LIKE% | |
--status |
string | Consultation status == |
# Get a listing of the Consultationsulams public consultations-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "id", "name", "status", "duration", "active_from", "active_to", "created_at" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "only_with_categories": { "type": "boolean", "description": "Consultation has categories" }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "name": { "type": "string", "description": "Consultation name %LIKE%" }, "status": { "type": "string", "description": "Consultation status ==" } }, "additionalProperties": {}}ulams public courses-get
Section titled “ulams public courses-get”Display the specified Course.
Kind: read (idempotent). Stability: stable. MCP tool: public_courses_get. Scopes: none.
Endpoints: GET /api/courses/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Course |
# Display the specified Courseulams public courses-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Course" } }, "required": [ "id" ], "additionalProperties": {}}ulams public courses-list
Section titled “ulams public courses-list”Get a listing of the Courses.
Kind: read (idempotent). Stability: stable. MCP tool: public_courses_list. Scopes: none.
Endpoints: GET /api/courses.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--only-with-categories |
boolean | Consultation has categories | |
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--title |
string | Course title %LIKE% | |
--category-id |
number | Category ID. When applied all courses with given cat_id and children categories are searched. Prohibited with categories | |
--categories[] |
array | An array of categories IDs. When applied all courses with given categories ids and children categories are searched. Prohibited with category_id | |
--authors[] |
array | An array of author IDs | |
--tag |
string | Tag name exactly | |
--tag[] |
array | An array of tags | |
--ids[] |
array | An array of IDs | |
--free |
boolean | Will show only free courses |
# Get a listing of the Coursesulams public courses-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "created_at", "title", "duration", "only_with_categories" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "only_with_categories": { "type": "boolean", "description": "Consultation has categories" }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "title": { "type": "string", "description": "Course title %LIKE%" }, "category_id": { "type": "number", "description": "Category ID. When applied all courses with given cat_id and children categories are searched. Prohibited with categories" }, "categories[]": { "type": "array", "items": { "type": "number" }, "description": "An array of categories IDs. When applied all courses with given categories ids and children categories are searched. Prohibited with category_id" }, "authors[]": { "type": "array", "items": { "type": "number" }, "description": "An array of author IDs" }, "tag": { "type": "string", "description": "Tag name exactly" }, "tag[]": { "type": "array", "items": { "type": "string" }, "description": "An array of tags" }, "ids[]": { "type": "array", "items": { "type": "number" }, "description": "An array of IDs" }, "free": { "type": "boolean", "description": "Will show only free courses" } }, "additionalProperties": {}}ulams public courses-preview
Section titled “ulams public courses-preview”Preview the specified Course Topic is set to preview.
Kind: read (idempotent). Stability: stable. MCP tool: public_courses_preview. Scopes: none.
Endpoints: GET /api/courses/{id}/preview/{topic_id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Course |
--topic-id (positional) |
integer | yes | id of Topic |
# Preview the specified Course Topic is set to previewulams public courses-preview 1 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Course" }, "topic_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Topic" } }, "required": [ "id", "topic_id" ], "additionalProperties": {}}ulams public csp-report-create
Section titled “ulams public csp-report-create”Collect a Content Security Policy violation report.
Kind: write. Stability: stable. MCP tool: public_csp_report_create. Scopes: none.
Endpoints: POST /api/csp-report.
| Flag | Type | Required | Description |
|---|---|---|---|
--body |
unknown | Request body (JSON) |
# Collect a Content Security Policy violation reportulams public csp-report-create --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}ulams public demo-list
Section titled “ulams public demo-list”Demo mode status and the accounts used for the automatic login.
Kind: read (idempotent). Stability: stable. MCP tool: public_demo_list. Scopes: none.
Endpoints: GET /api/demo.
# Demo mode status and the accounts used for the automatic loginulams public demo-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public dictionaries-words-categories
Section titled “ulams public dictionaries-words-categories”Get the categories used in the dictionary for a given slug.
Kind: read (idempotent). Stability: stable. MCP tool: public_dictionaries_words_categories. Scopes: none.
Endpoints: GET /api/dictionaries/{slug}/words/categories.
| Flag | Type | Required | Description |
|---|---|---|---|
--slug (positional) |
string | yes | |
--word |
string | word %ILIKE% | |
--word-start |
string | word ILIKE% | |
--category-ids[] |
array |
# Get the categories used in the dictionary for a given slugulams public dictionaries-words-categories text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "slug": { "type": "string" }, "word": { "type": "string", "description": "word %ILIKE%" }, "word_start": { "type": "string", "description": "word ILIKE%" }, "category_ids[]": { "type": "array", "items": { "type": "number" } } }, "required": [ "slug" ], "additionalProperties": {}}ulams public dictionaries-words-get
Section titled “ulams public dictionaries-words-get”Display the specified Dictionary Word.
Kind: read (idempotent). Stability: stable. MCP tool: public_dictionaries_words_get. Scopes: none.
Endpoints: GET /api/dictionaries/{slug}/words/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--slug (positional) |
string | yes | |
--id (positional) |
integer | yes | id of Dictionary Word |
# Display the specified Dictionary Wordulams public dictionaries-words-get text 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "slug": { "type": "string" }, "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Dictionary Word" } }, "required": [ "slug", "id" ], "additionalProperties": {}}ulams public dictionaries-words-list
Section titled “ulams public dictionaries-words-list”Get a listing of the Dictionary Word.
Kind: read (idempotent). Stability: stable. MCP tool: public_dictionaries_words_list. Scopes: none.
Endpoints: GET /api/dictionaries/{slug}/words.
| Flag | Type | Required | Description |
|---|---|---|---|
--slug (positional) |
string | yes | |
--word |
string | word %ILIKE% | |
--word-start |
string | word ILIKE% | |
--category-ids[] |
array |
# Get a listing of the Dictionary Wordulams public dictionaries-words-list text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "slug": { "type": "string" }, "word": { "type": "string", "description": "word %ILIKE%" }, "word_start": { "type": "string", "description": "word ILIKE%" }, "category_ids[]": { "type": "array", "items": { "type": "number" } } }, "required": [ "slug" ], "additionalProperties": {}}ulams public events-feed
Section titled “ulams public events-feed”Get a listing of the Stationary events and Webinars.
Kind: read (idempotent). Stability: stable. MCP tool: public_events_feed. Scopes: none.
Endpoints: GET /api/events.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page |
# Get a listing of the Stationary events and Webinarsulams public events-feed --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "next", "past" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" } }, "additionalProperties": {}}ulams public events-get
Section titled “ulams public events-get”Display the specified Stationary Event.
Kind: read (idempotent). Stability: stable. MCP tool: public_events_get. Scopes: none.
Endpoints: GET /api/stationary-events/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Stationary event |
# Display the specified Stationary Eventulams public events-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Stationary event" } }, "required": [ "id" ], "additionalProperties": {}}ulams public events-list
Section titled “ulams public events-list”Get a listing of published stationary events.
Kind: read (idempotent). Stability: stable. MCP tool: public_events_list. Scopes: none.
Endpoints: GET /api/stationary-events.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--name |
string | Stationary event name %ILIKE% | |
--categories |
array | An array of categories IDs |
# Get a listing of published stationary eventsulams public events-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "finished_at", "started_at", "created_at", "name" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "name": { "type": "string", "description": "Stationary event name %ILIKE%" }, "categories": { "type": "array", "items": { "type": "number" }, "description": "An array of categories IDs" } }, "additionalProperties": {}}ulams public events-me
Section titled “ulams public events-me”Get a listing of stationary events bought by user.
Kind: read (idempotent). Stability: stable. MCP tool: public_events_me. Scopes: none.
Endpoints: GET /api/stationary-events/me.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--name |
string | Stationary event name %LIKE% |
# Get a listing of stationary events bought by userulams public events-me --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "finished_at", "started_at", "created_at", "name" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "name": { "type": "string", "description": "Stationary event name %LIKE%" } }, "additionalProperties": {}}ulams public living-course-webhooks
Section titled “ulams public living-course-webhooks”Receive a push webhook of a connected repository.
Kind: write. Stability: stable. MCP tool: public_living_course_webhooks. Scopes: none.
Endpoints: POST /api/living-course/webhooks/{webhookId}.
| Flag | Type | Required | Description |
|---|---|---|---|
--webhook-id (positional) |
string | yes | |
--body |
unknown | Request body (JSON) |
# Receive a push webhook of a connected repositoryulams public living-course-webhooks text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "webhookId": { "type": "string" }, "body": { "description": "Request body (JSON)" } }, "required": [ "webhookId" ], "additionalProperties": {}}ulams public lti-frame-origins
Section titled “ulams public lti-frame-origins”Origins of the enabled external tools of this tenant.
Kind: read (idempotent). Stability: stable. MCP tool: public_lti_frame_origins. Scopes: none.
Endpoints: GET /api/lti/frame-origins.
# Origins of the enabled external tools of this tenantulams public lti-frame-origins --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public model-fields-list
Section titled “ulams public model-fields-list”Lists available Model extended fields.
Kind: read (idempotent). Stability: stable. MCP tool: public_model_fields_list. Scopes: none.
Endpoints: GET /api/model-fields.
| Flag | Type | Required | Description |
|---|---|---|---|
--class-type |
string | yes | class type of which field is extended |
# Lists available Model extended fieldsulams public model-fields-list --class-type text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "class_type": { "type": "string", "description": "class type of which field is extended" } }, "required": [ "class_type" ], "additionalProperties": {}}ulams public pages-get
Section titled “ulams public pages-get”Read a page identified by a given slug identifier.
Kind: read (idempotent). Stability: stable. MCP tool: public_pages_get. Scopes: none.
Endpoints: GET /api/pages/{slug}.
| Flag | Type | Required | Description |
|---|---|---|---|
--slug (positional) |
string | yes | Unique human-readable page identifier |
# Read a page identified by a given slug identifierulams public pages-get text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "slug": { "type": "string", "description": "Unique human-readable page identifier" } }, "required": [ "slug" ], "additionalProperties": {}}ulams public pages-list
Section titled “ulams public pages-list”Lists available pages.
Kind: read (idempotent). Stability: stable. MCP tool: public_pages_list. Scopes: none.
Endpoints: GET /api/pages.
# Lists available pagesulams public pages-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public questionnaire-questions-answers
Section titled “ulams public questionnaire-questions-answers”Read a question answers by a given model title and model id identifier.
Kind: read (idempotent). Stability: stable. MCP tool: public_questionnaire_questions_answers. Scopes: none.
Endpoints: GET /api/questionnaire/{model_type_title}/{model_id}/questions/{question_id}/answers.
| Flag | Type | Required | Description |
|---|---|---|---|
--model-type-title (positional) |
string | yes | Name of Model (Course, Webinar etd.) |
--model-id (positional) |
integer | yes | id of Model (Course, Webinar etd.) |
--question-id (positional) |
integer | yes | id of Question |
--order-by |
string | order by (created_at, updated_at, rate) | |
--order |
string | order direction (ASC, DESC) | |
--per-page |
integer | answers on page | |
--page |
integer | page number |
# Read a question answers by a given model title and model id identifierulams public questionnaire-questions-answers text 1 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "model_type_title": { "type": "string", "description": "Name of Model (Course, Webinar etd.)" }, "model_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Model (Course, Webinar etd.)" }, "question_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Question" }, "order_by": { "type": "string", "description": "order by (created_at, updated_at, rate)" }, "order": { "type": "string", "description": "order direction (ASC, DESC)" }, "per_page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "answers on page" }, "page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "page number" } }, "required": [ "model_type_title", "model_id", "question_id" ], "additionalProperties": {}}ulams public questionnaire-questions-stars
Section titled “ulams public questionnaire-questions-stars”Read a model stars by a given model title, model id identifier and question id.
Kind: read (idempotent). Stability: stable. MCP tool: public_questionnaire_questions_stars. Scopes: none.
Endpoints: GET /api/questionnaire/{model_type_title}/{model_id}/questions/{question_id}/stars.
| Flag | Type | Required | Description |
|---|---|---|---|
--model-type-title (positional) |
string | yes | Name of Model (Course, Webinar etd.) |
--model-id (positional) |
integer | yes | id of Model (Course, Webinar etd.) |
--question-id (positional) |
integer | yes | id of Question |
# Read a model stars by a given model title, model id identifier and question idulams public questionnaire-questions-stars text 1 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "model_type_title": { "type": "string", "description": "Name of Model (Course, Webinar etd.)" }, "model_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Model (Course, Webinar etd.)" }, "question_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Question" } }, "required": [ "model_type_title", "model_id", "question_id" ], "additionalProperties": {}}ulams public questionnaire-stars
Section titled “ulams public questionnaire-stars”Read a questionnaire stars identified by a given model title and model id identifier.
Kind: read (idempotent). Stability: stable. MCP tool: public_questionnaire_stars. Scopes: none.
Endpoints: GET /api/questionnaire/stars/{model_type_title}/{model_id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--model-type-title (positional) |
string | yes | Name of Model (Course, Webinar etd.) |
--model-id (positional) |
integer | yes | id of Model (Course, Webinar etd.) |
# Read a questionnaire stars identified by a given model title and model id identifierulams public questionnaire-stars text 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "model_type_title": { "type": "string", "description": "Name of Model (Course, Webinar etd.)" }, "model_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Model (Course, Webinar etd.)" } }, "required": [ "model_type_title", "model_id" ], "additionalProperties": {}}ulams public settings-list
Section titled “ulams public settings-list”Get a listing of the public and enuerable settings.
Kind: read (idempotent). Stability: stable. MCP tool: public_settings_list. Scopes: none.
Endpoints: GET /api/settings.
# Get a listing of the public and enuerable settingsulams public settings-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public tags-list
Section titled “ulams public tags-list”Display a listing of the Tag.
Kind: read (idempotent). Stability: stable. MCP tool: public_tags_list. Scopes: none.
Endpoints: GET /api/tags.
# Display a listing of the Tagulams public tags-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public tags-unique
Section titled “ulams public tags-unique”Display the unique Tags.
Kind: read (idempotent). Stability: stable. MCP tool: public_tags_unique. Scopes: none.
Endpoints: GET /api/tags/unique.
# Display the unique Tagsulams public tags-unique --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams public translations-list
Section titled “ulams public translations-list”Get a list of public translations.
Kind: read (idempotent). Stability: stable. MCP tool: public_translations_list. Scopes: none.
Endpoints: GET /api/translations.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--group[] |
array | An array of translation groups | |
--key[] |
array | An array of translation keys |
# Get a list of public translationsulams public translations-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string" }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "group[]": { "type": "array", "items": { "type": "string" }, "description": "An array of translation groups" }, "key[]": { "type": "array", "items": { "type": "string" }, "description": "An array of translation keys" } }, "additionalProperties": {}}ulams public webinars-get
Section titled “ulams public webinars-get”Display the specified Webinar.
Kind: read (idempotent). Stability: stable. MCP tool: public_webinars_get. Scopes: none.
Endpoints: GET /api/webinars/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Webinar |
# Display the specified Webinarulams public webinars-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Webinar" } }, "required": [ "id" ], "additionalProperties": {}}ulams public webinars-list
Section titled “ulams public webinars-list”Get a listing of the Webinars.
Kind: read (idempotent). Stability: stable. MCP tool: public_webinars_list. Scopes: none.
Endpoints: GET /api/webinars.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--name |
string | Webinar name %LIKE% | |
--status |
string | Webinar status == | |
--only-incoming |
boolean | Get only incoming webinars |
# Get a listing of the Webinarsulams public webinars-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "finished_at", "started_at", "created_at", "name" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "name": { "type": "string", "description": "Webinar name %LIKE%" }, "status": { "type": "string", "description": "Webinar status ==" }, "only_incoming": { "type": "boolean", "description": "Get only incoming webinars" } }, "additionalProperties": {}}